import { getProxyAgent } from './proxy-agent.js';
import { Agent } from 'undici';
export default async (url, { timeout, ...options } = {}) => {
    const dispatcher = getProxyAgent() || (timeout ? new Agent({ connect: { timeout } }) : undefined);
    const res = await fetch(url, {
        signal: timeout ? AbortSignal.timeout(timeout) : undefined,
        ...options,
        dispatcher,
    });
    return res;
};
//# sourceMappingURL=fetch-with-timeout.js.map